Bug 157355 - [patch] add options to games/openttd
Summary: [patch] add options to games/openttd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-26 21:50 UTC by Ilya A. Arhipov
Modified: 2011-10-17 04:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.85 KB, patch)
2011-05-26 21:50 UTC, Ilya A. Arhipov
no flags Details | Diff
openttd_ogf.patch (1002 bytes, patch)
2011-08-15 19:44 UTC, Ilya A. Arhipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya A. Arhipov 2011-05-26 21:50:08 UTC
Patch add options to openttd:
DEDICATED       "Build only dedicated server"   on
OPENGFX         "Build with OpenGFX(graphic)"   off
OPENMSX         "Build with OpenMSX(music)"     off
OPENSFX         "Build with OpenSFX(sound)"     off

And little fix for:
$ port test -l
===> Validating port with portlint
looks fine.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-05-26 22:22:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Fix synopsis and assign.
Comment 2 dfilter service freebsd_committer 2011-10-17 04:44:46 UTC
danfe       2011-10-17 03:44:38 UTC

  FreeBSD ports repository

  Modified files:
    games/openttd        Makefile 
  Log:
  - Add new knob, WITH_OPEN_GAME_FILES, to register run-time dependencies on
    libre graphics, music, and sound ports
  - While I'm here, find a better way to suppress vendor CFLAGS with sed(1):
    instead of anchoring line numbers, look for specific text string
  
  PR:     ports/157355
  
  Revision  Changes    Path
  1.40      +11 -3     ports/games/openttd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2011-10-17 04:46:00 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks.